Package org.spongepowered.asm.mixin.transformer

## Class ClassInfo.Field

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ClassInfo.Field

Enclosing class:
  ClassInfo

    public class ClassInfo.Field
    extends java.lang.Object

A field

### Constructor Summary

Constructors
`Field​(java.lang.String name, java.lang.String desc, int access)`
`Field​(java.lang.String name, java.lang.String desc, int access, boolean injected)`
`Field​(org.objectweb.asm.tree.FieldNode field)`
`Field​(org.objectweb.asm.tree.FieldNode field, boolean injected)`
`Field​(org.spongepowered.asm.mixin.transformer.ClassInfo.Member member)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`boolean` `equals​(java.lang.String name, java.lang.String desc)`
`int` `getAccess()`
`java.lang.String` `getDesc()`
`protected java.lang.String` `getDisplayFormat()`
`ClassInfo` `getImplementor()`
`java.lang.String` `getName()`
`java.lang.String` `getOriginalDesc()`
`java.lang.String` `getOriginalName()`
`ClassInfo` `getOwner()`
`int` `hashCode()`
`boolean` `isAbstract()`
`boolean` `isDecoratedFinal()`
`boolean` `isDecoratedMutable()`
`boolean` `isFinal()`
`boolean` `isInjected()`
`boolean` `isPrivate()`
`boolean` `isRemapped()`
`boolean` `isRenamed()`
`boolean` `isStatic()`
`boolean` `isSynthetic()`
`boolean` `isUnique()`
`boolean` `matchesFlags​(int flags)`
`java.lang.String` `remapTo​(java.lang.String desc)`
`java.lang.String` `renameTo​(java.lang.String name)`
`protected void` `setDecoratedFinal​(boolean decoratedFinal, boolean decoratedMutable)`
`void` `setUnique​(boolean unique)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Field

    public Field​(org.spongepowered.asm.mixin.transformer.ClassInfo.Member member)

#### Field

    public Field​(org.objectweb.asm.tree.FieldNode field)

#### Field

    public Field​(org.objectweb.asm.tree.FieldNode field,
                 boolean injected)

#### Field

    public Field​(java.lang.String name,
                 java.lang.String desc,
                 int access)

#### Field

    public Field​(java.lang.String name,
                 java.lang.String desc,
                 int access,
                 boolean injected)

### Method Detail

#### getOwner

    public ClassInfo getOwner()

#### equals

    public boolean equals​(java.lang.Object obj)

#### getDisplayFormat

    protected java.lang.String getDisplayFormat()

#### getOriginalName

    public java.lang.String getOriginalName()

#### getName

    public java.lang.String getName()

#### getOriginalDesc

    public java.lang.String getOriginalDesc()

#### getDesc

    public java.lang.String getDesc()

#### isInjected

    public boolean isInjected()

#### isRenamed

    public boolean isRenamed()

#### isRemapped

    public boolean isRemapped()

#### isPrivate

    public boolean isPrivate()

#### isStatic

    public boolean isStatic()

#### isAbstract

    public boolean isAbstract()

#### isFinal

    public boolean isFinal()

#### isSynthetic

    public boolean isSynthetic()

#### isUnique

    public boolean isUnique()

#### setUnique

    public void setUnique​(boolean unique)

#### isDecoratedFinal

    public boolean isDecoratedFinal()

#### isDecoratedMutable

    public boolean isDecoratedMutable()

#### setDecoratedFinal

    protected void setDecoratedFinal​(boolean decoratedFinal,
                                     boolean decoratedMutable)

#### matchesFlags

    public boolean matchesFlags​(int flags)

#### getImplementor

    public ClassInfo getImplementor()

#### getAccess

    public int getAccess()

#### renameTo

    public java.lang.String renameTo​(java.lang.String name)

Parameters:
  `name` - new name
Returns:
  the passed-in argument, for fluency

#### remapTo

    public java.lang.String remapTo​(java.lang.String desc)

#### equals

    public boolean equals​(java.lang.String name,
                          java.lang.String desc)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`